Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
malloc_chunk Struct Reference

## Data Fields
size_t | prev_foot
size_t | head
struct malloc_chunk * | fd
struct malloc_chunk * | bk

## Detailed Description

Definition at line 1654 of file dlmalloc.c.

## Field Documentation

## ◆ bk

struct malloc_chunk* malloc_chunk::bk

Definition at line 1658 of file dlmalloc.c.

## ◆ fd

struct malloc_chunk* malloc_chunk::fd

Definition at line 1657 of file dlmalloc.c.

Referenced by dlmalloc().

## ◆ head

size_t malloc_chunk::head

Definition at line 1656 of file dlmalloc.c.

Referenced by dlfree().

## ◆ prev_foot

size_t malloc_chunk::prev_foot

Definition at line 1655 of file dlmalloc.c.

Referenced by dlfree().

The documentation for this struct was generated from the following file:

- ext/fiddle/libffi-3.2.1/src/dlmalloc.c